summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Matthew Miller2024-02-10 00:24:56 +0100
committer Willy Sudiarto Raharjo2024-02-10 10:17:21 +0100
commit33bbad2623874920d5bf414b3484f704e9b40fa0 (patch)
tree2fdef184a88f8a0211f2d43af0b311e8cd4ce7df /games
parent5328d3d892cce717576103cbb5a4654c8945ddd1 (diff)
downloadslackbuilds-33bbad2623874920d5bf414b3484f704e9b40fa0.tar.gz
games/x16emu: Added (Commander X16 emulator).
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/x16emu/README1
-rw-r--r--games/x16emu/slack-desc19
-rw-r--r--games/x16emu/x16emu.SlackBuild86
-rw-r--r--games/x16emu/x16emu.info10
4 files changed, 116 insertions, 0 deletions
diff --git a/games/x16emu/README b/games/x16emu/README
new file mode 100644
index 0000000000..b9f11ea4c8
--- /dev/null
+++ b/games/x16emu/README
@@ -0,0 +1 @@
+x16emu - Commander X16 Computer System Emulator
diff --git a/games/x16emu/slack-desc b/games/x16emu/slack-desc
new file mode 100644
index 0000000000..04b3458ad4
--- /dev/null
+++ b/games/x16emu/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+x16emu: x16emu (Commander X16 Computer System Emulator)
+x16emu:
+x16emu: This is an emulator for the Commander X16 computer system.
+x16emu: It only depends on SDL2.
+x16emu:
+x16emu:
+x16emu:
+x16emu:
+x16emu:
+x16emu: Homepage: https://github.com/X16Community/x16-emulator/
+x16emu:
diff --git a/games/x16emu/x16emu.SlackBuild b/games/x16emu/x16emu.SlackBuild
new file mode 100644
index 0000000000..410b85f618
--- /dev/null
+++ b/games/x16emu/x16emu.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/bash
+
+# Slackware build script for x16emu
+#
+#~ # Copyright 2024 Matthew Miller <mattallmill@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=x16emu
+VERSION=${VERSION:-r46}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+if [ "$ARCH" != "x86_64" ]; then
+ printf "%s is not supported...\n" "$ARCH"
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/opt/$PRGNAM $OUTPUT
+cd $PKG/opt/$PRGNAM
+unzip $CWD/${PRGNAM}_linux-${ARCH}-${VERSION}.zip
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/bin
+( cd $PKG/usr/bin ; ln -sf /opt/$PRGNAM/$PRGNAM $PRGNAM )
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a "Commander X16 Programmer's Reference Guide.pdf" README.pdf "VERA Programmer's Reference.pdf" $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/x16emu/x16emu.info b/games/x16emu/x16emu.info
new file mode 100644
index 0000000000..6e57943249
--- /dev/null
+++ b/games/x16emu/x16emu.info
@@ -0,0 +1,10 @@
+PRGNAM="x16emu"
+VERSION="r46"
+HOMEPAGE="https://github.com/X16Community/x16-emulator"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/X16Community/x16-emulator/releases/download/r46/x16emu_linux-x86_64-r46.zip"
+MD5SUM_x86_64="19e22884c6e1502bd84094131619d1a3"
+REQUIRES=""
+MAINTAINER="Matthew Miller"
+EMAIL="mattallmill@gmail.com"